.splash-screen {
  position: fixed;
  inset: 0;
  z-index: 9999;
  background: var(--secondary);
  color: white;
  display: grid;
  place-items: center;
  text-align: center;
  padding: 24px;
  transition: .45s ease;
}

.splash-screen.hide {
  opacity: 0;
  visibility: hidden;
}

.splash-screen img {
  max-width: 230px;
  background: white;
  padding: 14px;
  border-radius: 22px;
}

.loader {
  width: 170px;
  height: 8px;
  border-radius: 999px;
  background: rgba(255,255,255,.2);
  overflow: hidden;
}

.loader::after {
  content: "";
  display: block;
  width: 60%;
  height: 100%;
  background: var(--primary);
  animation: load 1s infinite alternate;
}

@keyframes load {
  from { transform: translateX(-100%); }
  to { transform: translateX(170%); }
}

.kiosk-page {
  min-height: 100vh;
  display: grid;
  place-items: center;
  padding: 24px;
  background:
    radial-gradient(circle at top left, rgba(229,9,20,.14), transparent 35%),
    var(--bg);
}

.kiosk-card {
  width: 100%;
  max-width: 880px;
  background: white;
  padding: 36px;
  border-radius: 30px;
  text-align: center;
  box-shadow: 0 25px 80px rgba(0,0,0,.16);
}

.kiosk-logo {
  max-width: 280px;
  margin-bottom: 16px;
}

.kiosk-date {
  color: var(--primary);
  font-weight: bold;
  margin-bottom: 24px;
}

#guestForm {
  display: grid;
  gap: 14px;
}

.ts-control {
  padding: 12px 14px;
  border-radius: 14px;
  border-color: #d1d5db;
  text-align: left;
}

.ts-dropdown {
  text-align: left;
}

.kiosk-actions {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 14px;
}

@media (max-width: 650px) {
  .kiosk-card {
    padding: 22px;
  }

  .kiosk-actions {
    grid-template-columns: 1fr;
  }

  .kiosk-logo {
    max-width: 220px;
  }
}

.ts-wrapper {
    width:100%;
}

.ts-control {

    min-height:52px;

    border-radius:14px;

    border:1px solid #d1d5db !important;

    background:#fff;

    box-shadow:none;

    padding:12px 42px 12px 14px;

    position:relative;

}

.ts-control::after{

    content:"▼";

    position:absolute;

    right:15px;

    top:50%;

    transform:translateY(-50%);

    font-size:11px;

    color:#6b7280;

    pointer-events:none;

}

.ts-wrapper.single .ts-control.input-active::after{

    content:"▲";

}

.ts-dropdown{

    border-radius:14px;

    border:1px solid #d1d5db;

    box-shadow:0 10px 30px rgba(0,0,0,.12);

}

.ts-dropdown .option{

    padding:12px;

}

.ts-dropdown .active{

    background:#e50914;

    color:white;

}